Subject: bug#75018: closed (Re: bug#75018: 30.0.93; Dired icon missing in tool-bar)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Dec 2024 11:57:06 +0000

Your bug report

#75018: 30.0.93; Dired icon missing in tool-bar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75018: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75018
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75018: 30.0.93; Dired icon missing in tool-bar
From: Eli Zaretskii <[email-masked]>
To: john muhl <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Dec 2024 13:56:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: john muhl <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Dec 2024 11:21:06 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: john muhl <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sun, 22 Dec 2024 17:57:04 -0600
> >> 
> >> The following gets all the icons working:
> >> 
> >>   dnf install gdk-pixbuf2-modules-extra
> >> 
> >> Maybe something to mention PROBLEMS? Feel free to close unless you
> >> think there anything else to investigate.
> >
> > I'm okay with having a PROBLEMS entry about this, but I'd be much
> > happier if I understood some more about the problem.  How does
> > installing those icons solve the problem?  Is the problem caused by
> > absence of some icons, and the strange display is just an indication
> > that the file is missing?
> 
> The gdk-pixbuf2-modules-extra package doesn’t install any
> icons. It installs support for loading additional image formats:
> 
>   This package contains modules for loading ANI, BMP, ICNS, ICO,
>   PNM, QTIF, TGA, XBM, and XPM images.
> 
> What appears to have happened is that the loaders for these
> formats were removed from the main GDK packages in Fedora 41 thus
> any attempt to load an XPM fails (in Emacs and all other
> programs). Why the developers decided to use those strange icons
> in case of failure is unclear and probably beyond my investigative
> abilities.
> 
> Ultimately Fedora needs to fix their Emacs package so that
> gdk-pixbuf2-modules-extra is listed among the dependencies. Does
> Emacs have any connections there we could reach out to? If not I
> can send bug report.
> 
> > And what, if anything, should we do with the patch you posted a few
> > messages ago? is it also needed?
> 
> It is not needed but users of the GTK builds might find it an
> improvement as it makes Dired match the style of their system’s
> icon theme. Maybe we could try it on master and be ready to revert
> if it proves unwelcome. The attached image shows the current
> situation on top and the patched version below.
> 
> However, a non-exhaustive search of the archives didn’t turn up
> any complaints about the current state so maybe everyone is happy
> enough as is…or has the tool-bar disabled, doesn’t care and it’s
> not even worth the effort to test it on master.
> 
> FTR: I do use the tool-bar all the time on GUI frames and find the
> mismash of icon styles very mildly annoying.
> 
> > If it is not needed after installing
> > gdk-pixbuf2-modules-extra, then how did that patch solve the problem
> > without the icons?
> 
> The patch “fixed” it by mapping etc/images/diropen to a system
> icon (part of the stock icons and already available by default)
> which meant that it wouldn’t try to fallback on
> etc/images/diropen.xpm. Therefore it wouldn’t run into the issue
> of the missing XPM loader that is part of the
> gdk-pixbuf2-modules-extra package.
> 
> The patch does nothing for all the other missing icons I mentioned
> (message-mode, Info &c.). Installing the package of extra loaders
> fixes all those as they are once again able to load from the
> etc/images/*.xpm files.
> 
> > IOW, this issue is still some black magic to me, and I'd like the
> > mystery be lifted.
> >
> > Thanks.
> 
> I hope that it’s at least a little less mysterious now.

OK, thanks.  I've now added a PROBLEMS entry about this on the
emacs-20 release branch, and I'm therefore closing this bug.

Subject: 30.0.93; Dired icon missing in tool-bar
From: john muhl <[email-masked]>
To: [email-masked]
Date: Sat, 21 Dec 2024 18:19:57 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

The usual Dired icon is missing and instead shows up as a couple
of tiny triangles in the normal state and as a very generic file
icon on hover. Happens on emacs-30 and master and X11 and PGTK
builds. Lucid and Motif builds are unaffected.

In GNU Emacs 30.0.93 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.43, cairo version 1.18.2) of 2024-12-21 built on thelio
Repository revision: 5e97079cc7587ce338679ed237efb911723e4367
Repository branch: emacs-30
Windowing system distributor 'The X.Org Foundation', version 11.0.12401004
System Description: Fedora Linux 41 (Workstation Edition)

Configured using:
 'configure --without-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  minibuffer-regexp-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd touch-screen tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo gtk
x-toolkit xinput2 x multi-tty move-toolbar make-network-process emacs)

Memory information:
((conses 16 39074 9525) (symbols 48 5370 0) (strings 32 12568 1723)
 (string-bytes 1 306626) (vectors 16 9335)
 (vector-slots 8 111559 4018) (floats 8 21 3) (intervals 56 228 2)
 (buffers 992 10))